/** \file   dd_io_setfam.h
 *  \brief  IO functions for data files that represent set families.
 *  \author Takahisa Toda
 */
#ifndef DD_IO_SETFAM_H
#define DD_IO_SETFAM_H

#include "dd_wrapper.h"
#include "my_io_setfam.h"

/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/

extern my_zddp zimport_setfam(size_t nrow, size_t total_nent, FILE *in);
extern int zexport_setfam(size_t maxval, my_zddp f, FILE *out);
extern my_zddp naive_zimport_setfam(size_t nrow, size_t total_nent, FILE *in);
extern my_zddp sort_naive_zimport_setfam(size_t nrow, size_t total_nent, FILE *in);


#endif /*DD_IO_SETFAM_H*/
